#!/bin/bash

if [ -z "$1" ] ; then
    echo
    echo "	Usage:"
    echo "		$0 WTOS-BuildDIR"
    echo
    echo "	example:"
    echo "		$0 ../../WTOS-main/c10wnosdb"
    exit 1
else
    if [ -d $1 ]; then
	WTOSBUILD=$1
	if [ "${1:${#1}-1}" = "/" ]; then
	    # delete the last '/' if needed
	    arg1=${1:0:${#1}-1}
	else
	    arg1=$1
	fi
	dstdir=$arg1/openconnect

	# delete the prefix dirs...
	for ((; `expr index "$arg1" /` != 0; ))
	do
	    arg1=${arg1#*/}
	done

	i=`expr index "$arg1" wnos`
	t=${arg1:${#arg1}-2}
	plf=${arg1:0:3}

    else

	echo "$1 does not exist."
	exit 1

    fi
fi

ocsrc=`pwd`

mkdir $dstdir -p
cd $dstdir
destdir=`pwd`

if [ "$t" = "db" ]; then
    build=debug
else
    build=release
fi

cpu=i386
platform=
case $plf in
dov )
	cpu=arm
#	platform=dove
	;;
t10 | t50 )
	cpu=arm
	platform=ariel
	;;
esac

echo "OCSRC	:= $ocsrc" > Makefile
echo "DESTDIR	:= $destdir" >> Makefile
echo "SRCDIR	:= \$(OCSRC)" >> Makefile
echo "ARCH	:= $cpu" >> Makefile
echo "PLTFORM	:= $platform" >> Makefile
if [ "$build" = "debug" ] ; then
echo "DEBUG	:= yes" >> Makefile
else
echo "DEBUG	:= no" >> Makefile
fi
echo "include \$(OCSRC)/Makefile.build" >> Makefile

echo "clean:" >> Makefile
echo '	ls | grep "Make" -v | xargs rm -fr' >> Makefile

echo
echo 'You choose "'$cpu'" "'$build'" build. '
echo 'Please enter "'$dstdir'" and type "make"'
echo
